Search for notifications on a tenant
Search for notifications on a tenant
Required permissions: INTERNAL_PURCHASE_ORDER, PURCHASE_ORDER, RECEIVEMENT, RETURN_ORDER, SALES_ORDER, SERVICE_ORDER
post/tenants/{tenantUid}/notifications/search
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageSizeintegerOptional
The number of items per page in a result set.
pageNumberintegerOptional
Reference to a specific page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Body
messageTypestring · enumOptionalPossible values:
recipientstringOptional
messagestringOptional
statestring · enumOptionalPossible values:
errorTextstringOptional
organizationUidstringOptionalPattern:
^[A-Za-z0-9-_]+storeUidstringOptionalPattern:
^[A-Za-z0-9-_]+customerUidstringOptionalPattern:
^[A-Za-z0-9-_]+orderUidstringOptionalPattern:
^[A-Za-z0-9-_]+serviceOrderUidstringOptionalPattern:
^[A-Za-z0-9-_]+tenantUserUidstringOptionalPattern:
^[A-Za-z0-9-_]+supplierUidstringOptionalPattern:
^[A-Za-z0-9-_]+receivementUidstringOptionalPattern:
^[A-Za-z0-9-_]+purchaseOrderUidstringOptionalPattern:
^[A-Za-z0-9-_]+fromDateTimestring · date-timeOptional
toDateTimestring · date-timeOptional
querystringOptional
Generic search. Searches both in messages an in recipient
Responses
200
Example response
application/json
messageTypestring · enumRequiredPossible values:
recipientstringRequired
messagestringRequired
subjectstringRequired
statestring · enumRequiredPossible values:
errorTextstringRequired
notificationUidstringRequiredPattern:
^[A-Za-z0-9-_]+customerUidstringRequiredPattern:
^[A-Za-z0-9-_]*orderUidstringRequiredPattern:
^[A-Za-z0-9-_]*serviceOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]*serviceEventUidstringRequiredPattern:
^[A-Za-z0-9-_]*tenantUserUidstringRequiredPattern:
^[A-Za-z0-9-_]*supplierUidstringRequiredPattern:
^[A-Za-z0-9-_]*receivementUidstringRequiredPattern:
^[A-Za-z0-9-_]*purchaseOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]*createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
sourcestringRequired
Source of the notification
post/tenants/{tenantUid}/notifications/search
POST /v2/tenants/{tenantUid}/notifications/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 398
{
"messageType": "EMAIL",
"recipient": "text",
"message": "text",
"state": "NOT_STARTED",
"errorText": "text",
"organizationUid": "text",
"storeUid": "text",
"customerUid": "text",
"orderUid": "text",
"serviceOrderUid": "text",
"tenantUserUid": "text",
"supplierUid": "text",
"receivementUid": "text",
"purchaseOrderUid": "text",
"fromDateTime": "2026-01-01T00:00:00.000Z",
"toDateTime": "2026-01-01T00:00:00.000Z",
"query": "text"
}200
Example response
{
"messageType": "EMAIL",
"recipient": "text",
"message": "text",
"subject": "text",
"state": "NOT_STARTED",
"errorText": "text",
"notificationUid": "text",
"customerUid": "text",
"orderUid": "text",
"serviceOrderUid": "text",
"serviceEventUid": "text",
"tenantUserUid": "text",
"supplierUid": "text",
"receivementUid": "text",
"purchaseOrderUid": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"source": "text"
}Last updated
Was this helpful?

